/* Hero */
.hero-communiques {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    height: 100%;
    min-height: 50dvh;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.hero-communiques .wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    max-width: 1200px;
    padding: 2rem 1rem;
    z-index: 1;
}

.hero-communiques__title {
    font-family: "Monteserrat", sans-serif;
    font-size: clamp(2rem, 10vw, 3rem);
    text-align: center;
    /*text-wrap-style: balance;*/
    color: #FFFFFF;
    text-transform: uppercase;
    font-weight: 600;
    margin: 1rem 0;
    padding: 0;
    letter-spacing: 12px;
    line-height: 1;
}

.hero-communiques__content {
    color: #FFFFFF;
    font-size: 18px;
    font-weight: 500;
    text-align: center;
    text-wrap-style: balance;
    font-family: "Monteserrat", sans-serif;
}

.hero-communiques__gradient {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 80%;
    background: linear-gradient(0deg, var(--c-violet-500) 20%, rgba(0, 0, 0, 0) 80%);
    z-index: 0;
}

/* Contact card */
.contact-card {
    /*width: 300px;*/
}

.contact-card__title {
    font-size: 44px;
    font-weight: 700;
    font-family: "Monteserrat", sans-serif;
    color: var(--c-noir-900);
}

.contact-card__item + .contact-card__item {
    margin-top: 1rem;
}

.contact-card__name {
    font-size: 18px;
    font-weight: 600;
    color: var(--c-vert-500);
}

.contact-card__mail,
.contact-card__tel {
    color: var(--c-noir-500);
    font-size: 16px;
    margin: 0;
}

.contact-card__mail a {
    color: var(--c-orange-500);
    text-decoration: underline;
    text-underline-offset: 4px;
}

.contact-card__tel a {
    color: var(--c-bleu-500);
    text-decoration: underline;
    text-underline-offset: 4px;
}

.communiques-items {
    margin: 4rem 0 0 0;
}

.communiques-items .wrapper {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 1rem;
}

.communiques-items__top {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    align-items: stretch;
    margin-bottom: 3rem;
}

.communiques-items__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
    align-items: start;
}

.communique-card {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
}

.communique-card__image {
    width: 100%;
    height: 240px;
    display: flex;
    overflow: hidden;
    margin-bottom: .5rem;
    border-top-left-radius: 60px;
    border-bottom-right-radius: 60px;
}

.communique-card__image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform .2s ease-in-out;
}

.communique-card:hover img {
    transform: scale(1.05);
}

.communique-card__date {
    display: block;
    color: #A2A2A2;
    font-family: "Monteserrat", sans-serif;
    font-size: 14px;
    margin: .5rem 0 .25rem 0;
}

.communique-card__title {
    margin: 0 0 .5rem 0;
    line-height: 1;
}

.communique-card__title {
    color: var(--c-noir-900);
    text-decoration: none;
    font-size: 18px;
    font-family: "Monteserrat", sans-serif;
    font-weight: 700;
    transition: color 0.2s ease-in-out;
}

.communique-card:hover .communique-card__title {
    color: var(--c-violet-500);
}

.communique-card__excerpt {
    line-height: 1.2;
    font-size: 14px;
    font-weight: 400;
    text-decoration: none;
    color: var(--c-noir-900);
}

.communique-card__tag {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: .2rem;
    color: #A2A2A2;
    font-family: "Monteserrat", sans-serif;
    font-size: 14px;
}

.communique-card__tag-dot {
    position: relative;
    width: 25px;
    height: 25px;
}

.communique-card__tag-dot span {
    position: absolute;
    top: 0;
    right: 0;
    color: #FFFFFF;
}

.communique-card__button {
    color: var(--c-noir-900);
    font-size: 14px;
    padding: .5rem 2rem;
    border: 1px solid var(--c-noir-900);
    border-radius: 30px;
    transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out;
}

.communique-card:hover .communique-card__button {
    border-color: var(--c-violet-500);
    background-color: var(--c-violet-500);
    color: #FFFFFF;
}

.communique-card.is-hidden {
    display: none;
}

.communiques-items__load-more {
    display: flex;
    justify-content: center;
    margin-top: 32px;
}

.load-more-btn {
    padding: 1rem 3rem;
    color: #FFFFFF;
    background-color: var(--c-violet-500);
    font-weight: 600;
    text-transform: uppercase;
    border: 1px solid var(--c-violet-500);
    border-radius: 0;
    transition: color .2s ease-in-out, background-color .2s ease-in-out;
}

.load-more-btn:hover,
.load-more-btn:focus {
    color: var(--c-violet-500);
    background-color: #FFFFFF;
}

@media screen and (max-width: 1100px) {
    .communiques-items__grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .contact-card__title {
        font-size: 34px;
    }

    .contact-card__name {
        font-size: 22px;
    }

    .contact-card__mail, .contact-card__tel {
        font-size: 20px;
    }
}

@media screen and (max-width: 768px) {
    .communiques-items__top {
        grid-template-columns: 1fr;
    }

    .communiques-items__grid {
        grid-template-columns: 1fr;
    }

    .communiques-items__grid .communique-card:nth-of-type(1) {
        grid-column: auto;
    }

    .contact-card__title {
        font-size: 28px;
    }

    .contact-card__name {
        font-size: 20px;
    }

    .contact-card__mail, .contact-card__tel {
        font-size: 18px;
    }

    .load-more-btn {
        padding: 1rem;
        font-size: 14px;
    }
}